Save a scenario revision
curl --request POST \
--url https://api.firedrill.run/v1/scenarios \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"projectId": "<string>",
"environmentId": "<string>",
"schemaVersion": "2026-10-14-preparation.1",
"scenario": {
"id": "<string>",
"name": "<string>",
"input": "<unknown>",
"description": "<string>",
"checks": [],
"metrics": [
{
"schemaVersion": "2026-10-16-task-metric.1",
"id": "<string>",
"label": "<string>",
"path": "<string>",
"unit": "<string>",
"source": {
"schemaVersion": "2026-10-15-effect-check.1",
"service": "<string>",
"kind": "service_state",
"namespace": "<string>",
"rowId": "<string>"
}
}
],
"serviceDatasets": {}
},
"expectedRevision": "<string>"
}
'import requests
url = "https://api.firedrill.run/v1/scenarios"
payload = {
"projectId": "<string>",
"environmentId": "<string>",
"schemaVersion": "2026-10-14-preparation.1",
"scenario": {
"id": "<string>",
"name": "<string>",
"input": "<unknown>",
"description": "<string>",
"checks": [],
"metrics": [
{
"schemaVersion": "2026-10-16-task-metric.1",
"id": "<string>",
"label": "<string>",
"path": "<string>",
"unit": "<string>",
"source": {
"schemaVersion": "2026-10-15-effect-check.1",
"service": "<string>",
"kind": "service_state",
"namespace": "<string>",
"rowId": "<string>"
}
}
],
"serviceDatasets": {}
},
"expectedRevision": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
projectId: '<string>',
environmentId: '<string>',
schemaVersion: '2026-10-14-preparation.1',
scenario: {
id: '<string>',
name: '<string>',
input: '<unknown>',
description: '<string>',
checks: [],
metrics: [
{
schemaVersion: '2026-10-16-task-metric.1',
id: '<string>',
label: '<string>',
path: '<string>',
unit: '<string>',
source: {
schemaVersion: '2026-10-15-effect-check.1',
service: '<string>',
kind: 'service_state',
namespace: '<string>',
rowId: '<string>'
}
}
],
serviceDatasets: {}
},
expectedRevision: '<string>'
})
};
fetch('https://api.firedrill.run/v1/scenarios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.firedrill.run/v1/scenarios",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '<string>',
'environmentId' => '<string>',
'schemaVersion' => '2026-10-14-preparation.1',
'scenario' => [
'id' => '<string>',
'name' => '<string>',
'input' => '<unknown>',
'description' => '<string>',
'checks' => [
],
'metrics' => [
[
'schemaVersion' => '2026-10-16-task-metric.1',
'id' => '<string>',
'label' => '<string>',
'path' => '<string>',
'unit' => '<string>',
'source' => [
'schemaVersion' => '2026-10-15-effect-check.1',
'service' => '<string>',
'kind' => 'service_state',
'namespace' => '<string>',
'rowId' => '<string>'
]
]
],
'serviceDatasets' => [
]
],
'expectedRevision' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.firedrill.run/v1/scenarios"
payload := strings.NewReader("{\n \"projectId\": \"<string>\",\n \"environmentId\": \"<string>\",\n \"schemaVersion\": \"2026-10-14-preparation.1\",\n \"scenario\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"input\": \"<unknown>\",\n \"description\": \"<string>\",\n \"checks\": [],\n \"metrics\": [\n {\n \"schemaVersion\": \"2026-10-16-task-metric.1\",\n \"id\": \"<string>\",\n \"label\": \"<string>\",\n \"path\": \"<string>\",\n \"unit\": \"<string>\",\n \"source\": {\n \"schemaVersion\": \"2026-10-15-effect-check.1\",\n \"service\": \"<string>\",\n \"kind\": \"service_state\",\n \"namespace\": \"<string>\",\n \"rowId\": \"<string>\"\n }\n }\n ],\n \"serviceDatasets\": {}\n },\n \"expectedRevision\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.firedrill.run/v1/scenarios")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"<string>\",\n \"environmentId\": \"<string>\",\n \"schemaVersion\": \"2026-10-14-preparation.1\",\n \"scenario\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"input\": \"<unknown>\",\n \"description\": \"<string>\",\n \"checks\": [],\n \"metrics\": [\n {\n \"schemaVersion\": \"2026-10-16-task-metric.1\",\n \"id\": \"<string>\",\n \"label\": \"<string>\",\n \"path\": \"<string>\",\n \"unit\": \"<string>\",\n \"source\": {\n \"schemaVersion\": \"2026-10-15-effect-check.1\",\n \"service\": \"<string>\",\n \"kind\": \"service_state\",\n \"namespace\": \"<string>\",\n \"rowId\": \"<string>\"\n }\n }\n ],\n \"serviceDatasets\": {}\n },\n \"expectedRevision\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.firedrill.run/v1/scenarios")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"<string>\",\n \"environmentId\": \"<string>\",\n \"schemaVersion\": \"2026-10-14-preparation.1\",\n \"scenario\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"input\": \"<unknown>\",\n \"description\": \"<string>\",\n \"checks\": [],\n \"metrics\": [\n {\n \"schemaVersion\": \"2026-10-16-task-metric.1\",\n \"id\": \"<string>\",\n \"label\": \"<string>\",\n \"path\": \"<string>\",\n \"unit\": \"<string>\",\n \"source\": {\n \"schemaVersion\": \"2026-10-15-effect-check.1\",\n \"service\": \"<string>\",\n \"kind\": \"service_state\",\n \"namespace\": \"<string>\",\n \"rowId\": \"<string>\"\n }\n }\n ],\n \"serviceDatasets\": {}\n },\n \"expectedRevision\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"schemaVersion": "2026-10-14-preparation.1",
"projectId": "<string>",
"environmentId": "<string>",
"id": "<string>",
"revision": "<string>",
"scenario": {
"id": "<string>",
"name": "<string>",
"input": "<unknown>",
"checks": [
{
"id": "<string>",
"description": "<string>",
"path": "<string>",
"comparator": "equals",
"required": true,
"expected": "<string>",
"source": {
"kind": "service_state",
"namespace": "<string>",
"rowId": "<string>",
"schemaVersion": "2026-10-15-effect-check.1",
"service": "<string>"
},
"numeric": {
"schemaVersion": "2026-10-16-numeric-check.1",
"unit": "<string>",
"absoluteTolerance": 123
}
}
],
"description": "<string>",
"rubric": {
"id": "<string>",
"version": "<string>",
"dimensions": [
{
"id": "<string>",
"description": "<string>",
"anchors": [
"<string>",
"<string>",
"<string>",
"<string>",
"<string>"
],
"evidenceKinds": [
"image"
],
"applicability": {
"state": "applicable"
},
"missingEvidence": "not_assessable"
}
],
"composite": {
"schemaVersion": "2026-10-16-composite.1",
"method": "weighted_mean_ordinal",
"weights": [
{
"dimensionId": "<string>",
"weight": 123
}
]
},
"policyVersion": "2026-10-15-assessment.1"
},
"metrics": [
{
"schemaVersion": "2026-10-16-task-metric.1",
"id": "<string>",
"label": "<string>",
"path": "<string>",
"unit": "<string>",
"direction": "higher_is_better",
"source": {
"kind": "service_state",
"namespace": "<string>",
"rowId": "<string>",
"schemaVersion": "2026-10-15-effect-check.1",
"service": "<string>"
}
}
],
"serviceDatasets": {},
"sequence": {
"schemaVersion": "2026-10-14-sequence.1",
"steps": [
{
"kind": "target",
"id": "<string>",
"input": "<string>",
"when": {
"path": "<string>",
"comparator": "equals",
"step": "<string>",
"expected": "<string>"
}
}
]
}
},
"createdAt": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}Save a scenario revision
Requires runs:write. Set expectedRevision to null to create a scenario ID, or to its exact current revision to append. A stale revision conflicts; no saved revision or run is overwritten.
Save a scenario revision
curl --request POST \
--url https://api.firedrill.run/v1/scenarios \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"projectId": "<string>",
"environmentId": "<string>",
"schemaVersion": "2026-10-14-preparation.1",
"scenario": {
"id": "<string>",
"name": "<string>",
"input": "<unknown>",
"description": "<string>",
"checks": [],
"metrics": [
{
"schemaVersion": "2026-10-16-task-metric.1",
"id": "<string>",
"label": "<string>",
"path": "<string>",
"unit": "<string>",
"source": {
"schemaVersion": "2026-10-15-effect-check.1",
"service": "<string>",
"kind": "service_state",
"namespace": "<string>",
"rowId": "<string>"
}
}
],
"serviceDatasets": {}
},
"expectedRevision": "<string>"
}
'import requests
url = "https://api.firedrill.run/v1/scenarios"
payload = {
"projectId": "<string>",
"environmentId": "<string>",
"schemaVersion": "2026-10-14-preparation.1",
"scenario": {
"id": "<string>",
"name": "<string>",
"input": "<unknown>",
"description": "<string>",
"checks": [],
"metrics": [
{
"schemaVersion": "2026-10-16-task-metric.1",
"id": "<string>",
"label": "<string>",
"path": "<string>",
"unit": "<string>",
"source": {
"schemaVersion": "2026-10-15-effect-check.1",
"service": "<string>",
"kind": "service_state",
"namespace": "<string>",
"rowId": "<string>"
}
}
],
"serviceDatasets": {}
},
"expectedRevision": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
projectId: '<string>',
environmentId: '<string>',
schemaVersion: '2026-10-14-preparation.1',
scenario: {
id: '<string>',
name: '<string>',
input: '<unknown>',
description: '<string>',
checks: [],
metrics: [
{
schemaVersion: '2026-10-16-task-metric.1',
id: '<string>',
label: '<string>',
path: '<string>',
unit: '<string>',
source: {
schemaVersion: '2026-10-15-effect-check.1',
service: '<string>',
kind: 'service_state',
namespace: '<string>',
rowId: '<string>'
}
}
],
serviceDatasets: {}
},
expectedRevision: '<string>'
})
};
fetch('https://api.firedrill.run/v1/scenarios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.firedrill.run/v1/scenarios",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '<string>',
'environmentId' => '<string>',
'schemaVersion' => '2026-10-14-preparation.1',
'scenario' => [
'id' => '<string>',
'name' => '<string>',
'input' => '<unknown>',
'description' => '<string>',
'checks' => [
],
'metrics' => [
[
'schemaVersion' => '2026-10-16-task-metric.1',
'id' => '<string>',
'label' => '<string>',
'path' => '<string>',
'unit' => '<string>',
'source' => [
'schemaVersion' => '2026-10-15-effect-check.1',
'service' => '<string>',
'kind' => 'service_state',
'namespace' => '<string>',
'rowId' => '<string>'
]
]
],
'serviceDatasets' => [
]
],
'expectedRevision' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.firedrill.run/v1/scenarios"
payload := strings.NewReader("{\n \"projectId\": \"<string>\",\n \"environmentId\": \"<string>\",\n \"schemaVersion\": \"2026-10-14-preparation.1\",\n \"scenario\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"input\": \"<unknown>\",\n \"description\": \"<string>\",\n \"checks\": [],\n \"metrics\": [\n {\n \"schemaVersion\": \"2026-10-16-task-metric.1\",\n \"id\": \"<string>\",\n \"label\": \"<string>\",\n \"path\": \"<string>\",\n \"unit\": \"<string>\",\n \"source\": {\n \"schemaVersion\": \"2026-10-15-effect-check.1\",\n \"service\": \"<string>\",\n \"kind\": \"service_state\",\n \"namespace\": \"<string>\",\n \"rowId\": \"<string>\"\n }\n }\n ],\n \"serviceDatasets\": {}\n },\n \"expectedRevision\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.firedrill.run/v1/scenarios")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"<string>\",\n \"environmentId\": \"<string>\",\n \"schemaVersion\": \"2026-10-14-preparation.1\",\n \"scenario\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"input\": \"<unknown>\",\n \"description\": \"<string>\",\n \"checks\": [],\n \"metrics\": [\n {\n \"schemaVersion\": \"2026-10-16-task-metric.1\",\n \"id\": \"<string>\",\n \"label\": \"<string>\",\n \"path\": \"<string>\",\n \"unit\": \"<string>\",\n \"source\": {\n \"schemaVersion\": \"2026-10-15-effect-check.1\",\n \"service\": \"<string>\",\n \"kind\": \"service_state\",\n \"namespace\": \"<string>\",\n \"rowId\": \"<string>\"\n }\n }\n ],\n \"serviceDatasets\": {}\n },\n \"expectedRevision\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.firedrill.run/v1/scenarios")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"<string>\",\n \"environmentId\": \"<string>\",\n \"schemaVersion\": \"2026-10-14-preparation.1\",\n \"scenario\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"input\": \"<unknown>\",\n \"description\": \"<string>\",\n \"checks\": [],\n \"metrics\": [\n {\n \"schemaVersion\": \"2026-10-16-task-metric.1\",\n \"id\": \"<string>\",\n \"label\": \"<string>\",\n \"path\": \"<string>\",\n \"unit\": \"<string>\",\n \"source\": {\n \"schemaVersion\": \"2026-10-15-effect-check.1\",\n \"service\": \"<string>\",\n \"kind\": \"service_state\",\n \"namespace\": \"<string>\",\n \"rowId\": \"<string>\"\n }\n }\n ],\n \"serviceDatasets\": {}\n },\n \"expectedRevision\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"schemaVersion": "2026-10-14-preparation.1",
"projectId": "<string>",
"environmentId": "<string>",
"id": "<string>",
"revision": "<string>",
"scenario": {
"id": "<string>",
"name": "<string>",
"input": "<unknown>",
"checks": [
{
"id": "<string>",
"description": "<string>",
"path": "<string>",
"comparator": "equals",
"required": true,
"expected": "<string>",
"source": {
"kind": "service_state",
"namespace": "<string>",
"rowId": "<string>",
"schemaVersion": "2026-10-15-effect-check.1",
"service": "<string>"
},
"numeric": {
"schemaVersion": "2026-10-16-numeric-check.1",
"unit": "<string>",
"absoluteTolerance": 123
}
}
],
"description": "<string>",
"rubric": {
"id": "<string>",
"version": "<string>",
"dimensions": [
{
"id": "<string>",
"description": "<string>",
"anchors": [
"<string>",
"<string>",
"<string>",
"<string>",
"<string>"
],
"evidenceKinds": [
"image"
],
"applicability": {
"state": "applicable"
},
"missingEvidence": "not_assessable"
}
],
"composite": {
"schemaVersion": "2026-10-16-composite.1",
"method": "weighted_mean_ordinal",
"weights": [
{
"dimensionId": "<string>",
"weight": 123
}
]
},
"policyVersion": "2026-10-15-assessment.1"
},
"metrics": [
{
"schemaVersion": "2026-10-16-task-metric.1",
"id": "<string>",
"label": "<string>",
"path": "<string>",
"unit": "<string>",
"direction": "higher_is_better",
"source": {
"kind": "service_state",
"namespace": "<string>",
"rowId": "<string>",
"schemaVersion": "2026-10-15-effect-check.1",
"service": "<string>"
}
}
],
"serviceDatasets": {},
"sequence": {
"schemaVersion": "2026-10-14-sequence.1",
"steps": [
{
"kind": "target",
"id": "<string>",
"input": "<string>",
"when": {
"path": "<string>",
"comparator": "equals",
"step": "<string>",
"expected": "<string>"
}
}
]
}
},
"createdAt": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}Authorizations
Opaque Firedrill interactive or scoped machine credential. The CLI handles human-approved login; CI stores its scoped credential as FIREDRILL_TOKEN. Capabilities and project/environment ownership are rechecked at use.
Headers
Save a unique stable key for this exact logical action, at most 200 characters. Reuse it with identical input after an uncertain response. A new key is new intent; it must not be used merely to recover an accepted action.
Required string length:
1 - 200Body
application/json